--AH:ScriptId=0024c8ca-70c9-484d-9e68-c65d9f43b2f1;3229
ALTER TABLE [RaftItems]
	ADD [Active_Indicator] YNINDICATOR
GO

UPDATE [RaftItems]
   SET [Active_Indicator] = 'Y'

ALTER TABLE [RaftItems]
	ALTER COLUMN [Active_Indicator] YNINDICATOR NOT NULL
GO

ALTER TABLE [RaftItems]
	ADD [RaftItem_Id] INT IDENTITY(1, 1) NOT NULL
GO

ALTER TABLE [RaftItems]
	DROP CONSTRAINT [PK__RaftItems]

ALTER TABLE [RaftItems]
	ADD CONSTRAINT [PK__RaftItems]
		PRIMARY KEY ([RaftItem_Id])

ALTER TABLE [RaftItems]
	DROP CONSTRAINT [CK__RaftItems__RaftItemType_Code]
GO

EXEC sp_rename 'dbo.RaftItems.RaftItemType_Code', 'OldRaftItemType_Code'
GO

ALTER TABLE [RaftItems]
	ADD [RaftItemType_Code] INT
GO

UPDATE [RaftItems]
   SET [RaftItemType_Code] = CASE [OldRaftItemType_Code]
                             WHEN 'V' THEN 0
                             WHEN 'R' THEN 1
							 WHEN 'O' THEN 2
							 WHEN 'T' THEN 3
							 WHEN 'S' THEN 4
							 WHEN 'F' THEN 5
							 WHEN 'M' THEN 7
							 END

ALTER TABLE [RaftItems]
	DROP COLUMN [OldRaftItemType_Code]

ALTER TABLE [RaftItems]
	ALTER COLUMN [RaftItemType_Code] INT NOT NULL
GO

ALTER TABLE [RaftItems]
	ADD CONSTRAINT [UQ__RaftItems]
		UNIQUE ([Raft_Id], [RaftItemType_Code], [RaftItem_Name])

CREATE TABLE [RaftItemVersions]
(
	[RaftItem_Id] INT NOT NULL,
	[RaftItemVersion_Number] INT NOT NULL,
	[ModifiedOn_Date] DATETIME NOT NULL,
	[ModifiedBy_User_Name] USERNAME NOT NULL,
	[Content_Bytes] VARBINARY(MAX) NOT NULL,

	CONSTRAINT [PK__RaftItemVersions]
		PRIMARY KEY ([RaftItem_Id], [RaftItemVersion_Number]),

	CONSTRAINT [FK__RaftItemVersions__RaftItems]
		FOREIGN KEY ([RaftItem_Id])
		REFERENCES [RaftItems] ([RaftItem_Id])
		ON DELETE CASCADE
)

INSERT INTO [RaftItemVersions]
(
	[RaftItem_Id],
	[RaftItemVersion_Number],
	[ModifiedOn_Date],
	[ModifiedBy_User_Name],
	[Content_Bytes]
)
SELECT [RaftItem_Id],
       1,
	   [Modified_Date],
	   'SYSTEM',
	   [Content_Bytes]
  FROM [RaftItems]

ALTER TABLE [RaftItems]
	DROP COLUMN [Modified_Date]
