EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_BeginExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Changes the state of an execution from Pending to Executing.'
GO


IF OBJECT_ID('[Executions_BeginExecution]') IS NOT NULL DROP PROCEDURE [Executions_BeginExecution]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_BeginExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Executions]
	   SET [ExecutionRunState_Code] = 'X',
	       [Start_Date] = GETUTCDATE()
	 WHERE [Execution_Id] = @Execution_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH
END
GO

GRANT EXECUTE ON [Executions_BeginExecution] TO [OtterUser_Role]
