EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetRoles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Roles,RoleTasks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the roles in the system, along with all the tasks comprising each role.'
GO

IF OBJECT_ID('[dbo].[Security_GetRoles]') IS NOT NULL
	DROP PROCEDURE [dbo].[Security_GetRoles]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[Security_GetRoles]
(
	@IncludeAnonymous_Indicator YNINDICATOR = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Roles]
	 WHERE @IncludeAnonymous_Indicator = 'Y' OR [Role_Name] IS NOT NULL
	 ORDER BY [Role_Name]

	SELECT RT.*
	  FROM [RoleTasks_Extended] RT
	       INNER JOIN [Roles] R
		           ON R.[Role_Id] = RT.[Role_Id]
	 WHERE @IncludeAnonymous_Indicator = 'Y' OR R.[Role_Name] IS NOT NULL
	 ORDER BY RT.[Task_Name]

END
GO

GRANT EXECUTE ON [dbo].[Security_GetRoles] TO [OtterUser_Role]
GO
