EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_SetLatestCollectionRun',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates a server''s latest collection run.'
GO

IF OBJECT_ID('[Servers_SetLatestCollectionRun]') IS NOT NULL DROP PROCEDURE [Servers_SetLatestCollectionRun]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_SetLatestCollectionRun]
(
	@Server_Id INT,
	@Latest_CollectionRun_Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON
	
    UPDATE [Servers]
	   SET [Latest_CollectionRun_Execution_Id] = @Latest_CollectionRun_Execution_Id
	 WHERE [Server_Id] = @Server_Id

END
GO

GRANT EXECUTE ON [Servers_SetLatestCollectionRun] TO [OtterUser_Role]
